<html dir="rtl">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>الترقية إلى النُسخه 1.0.9</title>
<style type="text/css">
body{
	font-family: Tahoma;
	font-size: 9pt;
}
h1{
	font-size: 16pt;
	color: #C0C0C0;
	margin: 0;
}
.strong{
	color: red;
	font-weight: bold;
}
.notice {width: 620px;
	background: #FFF6BF;
	color: #514721; 
	border-color: #FFD324;
	border: 1px solid #DDD;
	margin-bottom: 1em;
	padding: 0.6em 0.8em;
	text-align: right;
}
.notice a {color: #514721;}
</style>
</head>
<body>
<center>

<h1>تحديث الجداول و إنشاء الجداول الجديده ...</h1>



<?php
	include ("../include/connect.php");
	$count 	= 0;
	
	$Update1 = mysql_query("ALTER TABLE `option` add column
	`allow_pages` int(2) NOT NULL default '1'
	");

	if(!$Update1){
	echo '<br /><div class="notice">',mysql_error(),'</div><br />';
	}else{
		$count = $count+1;
	}
	
	$Update2 = mysql_query("ALTER TABLE `option` add column
	`allow_rate` int(2) NOT NULL default '1'
	");

	if(!$Update2){
	echo '<br /><div class="notice">',mysql_error(),'</div><br />';
	}else{
		$count = $count+1;
	}
	
	$Update3 = mysql_query("ALTER TABLE `members` add column
	`votes` int(10) NOT NULL default '0'
	");

	if(!$Update3){
	echo '<br /><div class="notice">',mysql_error(),'</div><br />';
	}else{
		$count = $count+1;
	}


	
	$Update4 = mysql_query("ALTER TABLE `members` add column
	`rate` int(10) NOT NULL default '0'
	");

	if(!$Update4){
	echo '<br /><div class="notice">',mysql_error(),'</div><br />';
	}else{
		$count = $count+1;
	}

	
	$Update5 = mysql_query("ALTER TABLE `groups` add column
	`allow_pages` int(2) NOT NULL default '2'
	");

	if(!$Update5){
	echo '<br /><div class="notice">',mysql_error(),'</div><br />';
	}else{
		$count = $count+1;
	}
	
	$table4 = mysql_query(
	"CREATE TABLE `pages` (
	`id` int(9) NOT NULL auto_increment,
	`title` varchar(255) NOT NULL default '',
	`desc` varchar(255) NOT NULL default '',
	`content` LONGTEXT NOT NULL default '',
	`meta_open` varchar(255) NOT NULL default '',
	`meta_desc` varchar(255) NOT NULL default '',
	`hits` int(9) NOT NULL default '0',
	`group_id` varchar(20) NOT NULL,
	`languages_ids` varchar(20) NOT NULL default '1',
	`date` varchar(255) NOT NULL default '',
	PRIMARY KEY (`id`)
	 )TYPE=MyISAM AUTO_INCREMENT=1 ;");

	if(!$table4){
	echo '<br /><div class="notice">',mysql_error(),'</div><br />';
	}else{
		$count = $count+1;
	}
	 
?><br />
<span>تم تنفيذ <span class="strong"><?= $count; ?></span> عملية من أصل <span class="strong">6</span> عمليات </span>
<br />


<?php if($count == 5){ ?>
	<div class="success">يبدوا أنه تم تنفيذ جميع العمليات بنجاح ... تمت الترقيه , يمكنك حذف مجلد setup الآن لأسباب أمنيه</div>
<?php } ?>

<br /><br />

<br /><br />


<a href="http://phpx3.com" target="_blank">برمجة phpx3.com</a>
</center></body></html>